﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Model.Cache
{
    public class FetalMovementNormalValueRange
    {
        /// <summary>
        /// 孕周期
        /// </summary>
        public int[] PregnancyPeriod { get; set; }
        /// <summary>
        /// 正常胎动(次/小时)
        /// </summary>
        public int[] NormalMovementRange { get; set; }
        /// <summary>
        /// 12小时胎动(次)
        /// </summary>
        public int[] TwelveHourMovementRange { get; set; }
        /// <summary>
        /// 胎动中间值(次/小时)
        /// </summary>
        public int MedianMovement { get; set; }
        /// <summary>
        /// 胎动起始值(次/小时)
        /// </summary>
        public int InitialMovement { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remarks { get; set; }

        public FetalMovementNormalValueRange(int[] pregnancyPeriod, int[] normalMovementRange, int[] twelveHourMovementRange, int medianMovement, int initialMovement, string remarks)
        {
            PregnancyPeriod = pregnancyPeriod;
            NormalMovementRange = normalMovementRange;
            TwelveHourMovementRange = twelveHourMovementRange;
            MedianMovement = medianMovement;
            InitialMovement = initialMovement;
            Remarks = remarks;
        }
    }
}
